Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceZoneMapItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<N>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<VoiceZoneMapItem>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceZoneMapItem

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceZoneMapItem>`, `TreeNode<VoiceZoneMapItem>`

    public class VoiceZoneMapItem
    extends VoiceBaseCodeBean<VoiceZoneMapItem>

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceZoneMapItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCodeId()` |
  `int` | `getMapId()` |
  `int` | `getZoneId()` |
  `void` | `setCodeId​(int codeId)` |
  `void` | `setMapId​(int mapId)` |
  `void` | `setZoneId​(int zoneId)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean

  `clone, getCode, getDateFrom, getDateTo, getDestinationId, getDestinationTitle, getLevel, setCode, setDateFrom, setDateTo, setDestinationId, setDestinationTitle, setLevel`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceZoneMapItem

    public VoiceZoneMapItem()

- ## Method Details

  - ### getCodeId

    public int getCodeId()

  - ### setCodeId

    public void setCodeId​(int codeId)

  - ### getMapId

    public int getMapId()

  - ### setMapId

    public void setMapId​(int mapId)

  - ### getZoneId

    public int getZoneId()

  - ### setZoneId

    public void setZoneId​(int zoneId)